static function base2
SET SCOREBOARD off
SET CONFIRM off

PRIVATE up, down, left, right, pgup, pgdn, home, FIN, car_ret
PRIVATE scrltop, scrlleft, scrlbot, scrlright, scrlheight
PRIVATE currow, lastrec, firstrec, saverec, xkey, dbdir, ixdir


* inkey aliases
up = 5
down = 24
left = 19
right = 5
pgup = 18
pgdn = 5
home = 1
FIN = 6
car_ret = 13

* scroll area coords & dimensions (does not include box border/header)
scrltop = 12
scrlleft = 41
scrlbot = 16
scrlright = 64
scrlheight = scrlbot - scrltop +1
currow = scrltop

*SELECT 0
*USE BASE2



SET CURSOR OFF

firstrec = recno()
GOTO BOTT
lastrec = recno()
GOTO TOP

hicolor = "B/W"
locolor = "+W/BG"

* pop the lookup window
savebuf1 = savescreen(11,40, 17,65)
SET COLOR TO +W/BG
@ 11, 40, 17, 65 BOX "ͻȺ "
@ 11, 41 SAY "6. ASENTAMIENTOS HUMANOS"
SET COLOR TO +W/BG
@ 12,41,16,64 BOX "         "

* display first window of records, hilite first one
GOTO TOP
DO PE_DISP WITH .t.
DO PE_HIDSP

xkey = 0

DO WHILE xkey <> 27 .and. xkey <> car_ret

  xkey = inkey(0)
  skey = upper(chr(xkey))

  DO CASE

    CASE (skey >='A' .and. skey <='Z') .or.;
         (skey >='0' .and. skey <='9')
      saverec = recno()
      SEEK skey
      IF .not. eof()
        DO PE_DISP WITH .t.
        DO PE_HIDSP
      ELSE
        tone(900,2)
        GOTO saverec
      ENDIF

    CASE xkey = up
      IF recno() = firstrec
        tone(900,2)
      ELSE
        IF currow > scrltop
          DO PE_LODSP
          currow = currow - 1
          SKIP -1
          DO PE_HIDSP
        ELSE
          DO PE_LODSP
          SKIP -1
          scroll(scrltop, scrlleft, scrlbot, scrlright, -1)
          DO PE_HIDSP
        ENDIF
      ENDIF

    CASE xkey = down
      IF recno() = lastrec
        tone(900,2)
      ELSE
        IF currow < scrlbot
          DO PE_LODSP
          currow = currow + 1
          SKIP
          DO PE_HIDSP
        ELSE
          DO PE_LODSP
          SKIP
          scroll(scrltop, scrlleft, scrlbot, scrlright, 1)
          DO PE_HIDSP
        ENDIF
      ENDIF

    CASE xkey = pgdn
      SKIP scrltop - currow + (2*scrlheight) -1
      IF eof()
        tone(900,2)
        SKIP -scrlheight
        DO PE_DISP WITH .f.
        DO PE_HIDSP
      ELSE
        SKIP 1 -scrlheight
        DO PE_DISP WITH .t.
        DO PE_HIDSP
      ENDIF

    CASE xkey = pgup
      SKIP scrltop - currow - scrlheight
      IF bof()
        tone(900,2)
        GOTO TOP
        DO PE_DISP WITH .t.
        DO PE_HIDSP
      ELSE
        DO PE_DISP WITH .t.
        DO PE_HIDSP
      ENDIF

    CASE xkey = home
      GOTO TOP
      DO PE_DISP WITH .t.
      DO PE_HIDSP

    CASE xkey = FIN
      GOTO BOTT
      SKIP 1 - scrlheight
      IF bof()
        GOTO TOP
      ENDIF
      DO PE_DISP WITH .f.
      DO PE_HIDSP

  ENDCASE
ENDDO

restscreen(11,40, 17,65, savebuf1)
SET COLOR TO &locolor
SET COLOR TO BG+/B
RETURN


PROC PE_HIDSP
SET COLOR TO &hicolor
@ currow, 42 SAY CLAVE2
@ currow, 47 SAY DESCRIP2
RETURN

PROC PE_LODSP
SET COLOR TO &locolor
@ currow, 42 SAY CLAVE2
@ currow, 47 SAY DESCRIP2
RETURN


PROC PE_DISP
PARAM set_to_top

PRIVATE thisrow, toprec

SET COLOR TO &locolor
@ scrltop, scrlleft CLEAR TO scrlbot, scrlright

toprec = recno()
thisrow = scrltop
DO WHILE .not. eof() .and. thisrow <= scrlbot
  @ thisrow, 42 SAY CLAVE2
  @ thisrow, 47 SAY DESCRIP2
  SKIP
  thisrow = thisrow + 1
ENDDO

IF set_to_top
  GOTO toprec
  currow = scrltop
ELSE
  SKIP -1
  currow = thisrow -1
ENDIF

RETURN
