static function cronolo
SET SCOREBOARD off
SET CONFIRM off

PRIVATE up, down, left, right, pgup, pgdn, home, FIN, car_ret
PRIVATE scrltop, scrlleft, scrlbot, scrlright, scrlheight
PRIVATE currow, lastrec, firstrec, saverec, xkey, dbdir, ixdir

up = 5
down = 24
left = 19
right = 4
pgup = 18
pgdn = 3
home = 1
FIN = 6
car_ret = 13

* scroll area coords & dimensions (does not include box border/header)
scrltop = 8
scrlleft = 31
scrlbot = 11
scrlright = 48
scrlheight = scrlbot - scrltop +1
currow = scrltop

*SELECT 0
*USE CRONOLO

SET CURSOR OFF

firstrec = recno()
GOTO BOTT
lastrec = recno()
GOTO TOP

hicolor = "B/W"
locolor = "+W/BG"

* pop the lookup window
savebuf1 = savescreen(7,30, 12,49)
SET COLOR TO +W/BG
@ 7, 30, 12, 49 BOX "ͻȺ"
@ 7, 33 SAY "12. CRONOLOGIA"
SET COLOR TO +W/BG
@ 8,31,11,48 BOX "         "

* display first window of records, hilite first one
GOTO TOP
DO CR_disp WITH .t.
DO CR_hidsp

xkey = 0

DO WHILE xkey <> 27 .and. xkey <> car_ret

  xkey = inkey(0)
  skey = upper(chr(xkey))

  DO CASE

    CASE (skey >='A' .and. skey <='Z') .or.;
         (skey >='0' .and. skey <='9')
      saverec = recno()
      SEEK skey
      IF .not. eof()
        DO CR_disp WITH .t.
        DO CR_hidsp
      ELSE
        tone(900,2)
        GOTO saverec
      ENDIF

    CASE xkey = up
      IF recno() = firstrec
        tone(900,2)
      ELSE
        IF currow > scrltop
          DO CR_lodsp
          currow = currow - 1
          SKIP -1
          DO CR_hidsp
        ELSE
          DO CR_lodsp
          SKIP -1
          scroll(scrltop, scrlleft, scrlbot, scrlright, -1)
          DO CR_hidsp
        ENDIF
      ENDIF

    CASE xkey = down
      IF recno() = lastrec
        tone(900,2)
      ELSE
        IF currow < scrlbot
          DO CR_lodsp
          currow = currow + 1
          SKIP
          DO CR_hidsp
        ELSE
          DO CR_lodsp
          SKIP
          scroll(scrltop, scrlleft, scrlbot, scrlright, 1)
          DO CR_hidsp
        ENDIF
      ENDIF

    CASE xkey = pgdn
      SKIP scrltop - currow + (2*scrlheight) -1
      IF eof()
        tone(900,2)
        SKIP -scrlheight
        DO CR_disp WITH .f.
        DO CR_hidsp
      ELSE
        SKIP 1 -scrlheight
        DO CR_disp WITH .t.
        DO CR_hidsp
      ENDIF

    CASE xkey = pgup
      SKIP scrltop - currow - scrlheight
      IF bof()
        tone(900,2)
        GOTO TOP
        DO CR_disp WITH .t.
        DO CR_hidsp
      ELSE
        DO CR_disp WITH .t.
        DO CR_hidsp
      ENDIF

    CASE xkey = home
      GOTO TOP
      DO CR_disp WITH .t.
      DO CR_hidsp

    CASE xkey = FIN
      GOTO BOTT
      SKIP 1 - scrlheight
      IF bof()
        GOTO TOP
      ENDIF
      DO CR_disp WITH .f.
      DO CR_hidsp

  ENDCASE
ENDDO

restscreen(7,30, 12,49, savebuf1)
SET COLOR TO &locolor
SET COLOR TO BG+/B
RETURN


PROC CR_hidsp
SET COLOR TO &hicolor
@ currow, 32 SAY CLAV4
@ currow, 38 SAY DESC4
RETURN

PROC CR_lodsp
SET COLOR TO &locolor
@ currow, 32 SAY CLAV4
@ currow, 38 SAY DESC4
RETURN

PROC CR_disp
PARAM set_to_top

PRIVATE thisrow, toprec

SET COLOR TO &locolor
@ scrltop, scrlleft CLEAR TO scrlbot, scrlright

toprec = recno()
thisrow = scrltop
DO WHILE .not. eof() .and. thisrow <= scrlbot
  @ thisrow, 32 SAY CLAV4
  @ thisrow, 38 SAY DESC4
  SKIP
  thisrow = thisrow + 1
ENDDO

IF set_to_top
  GOTO toprec
  currow = scrltop
ELSE
  SKIP -1
  currow = thisrow -1
ENDIF

RETURN
