//Definicion de teclas
#define K_F1           28
#define K_SH_F4       -13
//Opciones del menu archivo
#define A_COPIAR        1
#define A_CAMBIAR       2 
#define A_ELIMINAR      3 
#define A_SALIR         4 
//Opciones del menu registro
#define R_ADICIONAR     11
#define R_ELIMINAR      12 
#define R_VISUALIZAR    13 
#define R_REINDEXAR     14
//Opciones del menu reporte
#define E_DATOSGEN      21 
#define E_DATOSADI      22        
#define E_DATOSARS      23        
#define E_DATOSARF      24        
#define E_CONTPOS       25        
#define E_VALORA        26        
#define E_REPFOT        27        
#define E_NOTAS         28        
//Opciones del menu ayuda
#define Y_AYUDA         31
#define Y_AYUDA2        32

STATIC hBar,lBar
STATIC hArchMenu,hRegiMenu,hRepoMenu,hAydMenu

FUNCTION Main     
        LOCAL nOpcion
        public opci

        hBar:=BarNew()
        hArchMenu:=MenuNew("~Archivo")
        hRegiMenu:=MenuNew("~Registros")
        hRepoMenu:=MenuNew("R~eportes")
        hAydMenu:=MenuNew("A~yuda")
                                              
        PromptAdd(hArchMenu,A_COPIAR,"~Copiar")
        PromptAdd(hArchMenu,A_CAMBIAR,"C~ambiar Nombre")
        PromptAdd(hArchMenu,A_ELIMINAR,"~Eliminar")
        PromptAddLine(hArchMenu)
        PromptAdd(hArchMenu,A_SALIR,"~Salir          <Shift+F4>  ")
        PromptAdd(hRegiMenu,R_ADICIONAR,"~Adicionar/Modificar  ")
        PromptAdd(hRegiMenu,R_ELIMINAR,"~Eliminar")
        PromptAdd(hRegiMenu,R_VISUALIZAR,"~Visualizar  ")
        PromptAdd(hRegiMenu,R_REINDEXAR,"~Reindexar  ")
        PromptAdd(hRepoMenu,E_DATOSGEN,"Datos ~Generales")
        PromptAdd(hRepoMenu,E_DATOSADI,"Datos ~Adicionales")
        PromptAdd(hRepoMenu,E_DATOSARS,"Datos Arquitectonicos (edificios en ~Servicio)")
        PromptAdd(hRepoMenu,E_DATOSARF,"Datos Arquitectnicos (edificios ~Fuera de Servicio)")
        PromptAdd(hRepoMenu,E_CONTPOS,"~Contexto y Posesion")
        PromptAdd(hRepoMenu,E_VALORA,"~Valoracin socio-econmica y cultural")
        PromptAdd(hRepoMenu,E_REPFOT,"~Reporte Fotogrfico")
        PromptAdd(hRepoMenu,E_NOTAS,"Concentrado de ~Notas")
        PromptAdd(hAydMenu,Y_AYUDA,"~Ayuda        <F1>  ")
        PromptAdd(hAydMenu,Y_AYUDA2,"~Opciones del Menu")

        PromptQuickKey(hBar,hArchMenu,A_SALIR,K_SH_F4)
        PromptQuickKey(hBar,hAydMenu,Y_AYUDA,K_F1)
        
        MenuAdd(hBar,hArchMenu)
        MenuAdd(hBar,hRegiMenu)
        MenuAdd(hBar,hRepoMenu)
        MenuAdd(hBar,hAydMenu)

        SET COLOR TO W+/BG+
        @24,0 CLEAR TO 24,79
        @24,0 SAY "Presione F10 o Alt+Letra Iluminada"
        SET COLOR TO N/BG+
        @24,54 SAY DATE()
        @24,68 SAY TIME()
        set color to w+/b
        @ 1,0 clear to 23,79
        @ 1, 0, 23, 79 BOX "Ŀ"
        SET COLOR TO W+/BG+
        @0,0 CLEAR TO 0,79
        do inicio
        BarActivate(hBar)
        nOpcion:=BarMenuChoice(hBar)
          DO WHILE .t.
                DO CASE 
                case nOpcion == A_SALIR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do salir
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == A_COPIAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do copia
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == A_CAMBIAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do cambia
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == A_ELIMINAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do borra
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == R_ADICIONAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do alta_mod
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == R_ELIMINAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do bajas
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == R_VISUALIZAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do consul
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == R_REINDEXAR
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do inicio
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_DATOSGEN
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=1
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_DATOSADI
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=2
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_DATOSARF
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=3
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_DATOSARS
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=4
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_CONTPOS
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=5
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_VALORA
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=6
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_REPFOT
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=7
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == E_NOTAS
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        opci=8
                        do repo
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == Y_AYUDA
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do ayuda
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                CASE nOpcion == Y_AYUDA2
                        BarDisplay(hBar)
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        do ayuda2
                        set color to w+/b
                        @ 1,0 clear to 23,79
                        @ 1, 0, 23, 79 BOX "Ŀ"
                ENDCASE
                BarActivate(hBar)
                nOpcion:=BarMenuChoice(hBar)
        ENDDO
        set color to 
        cls
        RETURN NIL

