static function base1
SET SCOREBOARD off
SET CONFIRM off

PRIVATE up, down, left, right, pgup, pgdn, home, FIN, car_ret
PRIVATE scrltop, scrlleft, scrlbot, scrlright, scrlheight
PRIVATE currow, lastrec, firstrec, saverec, xkey, dbdir, ixdir

up = 5
down = 24
left = 19
right = 4
pgup = 17
pgdn = 5
home = 1
FIN = 6
car_ret = 13

scrltop = 12
scrlleft = 2
scrlbot = 16
scrlright = 24
scrlheight = scrlbot - scrltop +1
currow = scrltop

*SELECT 0
*USE BASE1

SET CURSOR OFF

firstrec = recno()
GOTO BOTT
lastrec = recno()
GOTO TOP

hicolor = "b/W"
locolor = "+W/bg"

* pop the lookup window
savebuf1 = savescreen(11,1, 17,25)
SET COLOR TO +W/BG
@ 11, 1, 17, 25 BOX "ͻȺ"
@ 11, 3 SAY "5. CONTEXTO INMEDIATO"
SET COLOR TO +W/bg
@ 12,2,16,24 BOX "         "

* display first window of records, hilite first one
GOTO TOP
DO BA_disp WITH .t.
DO BA_hidsp

xkey = 0

DO WHILE xkey <> 27 .and. xkey <> car_ret

  xkey = inkey(0)
  skey = upper(chr(xkey))

  DO CASE

    CASE (skey >='A' .and. skey <='Z') .or.;
         (skey >='0' .and. skey <='9')
      saverec = recno()
      SEEK skey
      IF .not. eof()
        DO BA_disp WITH .t.
        DO BA_hidsp
      ELSE
        tone(900,2)
        GOTO saverec
      ENDIF

    CASE xkey = up
      IF recno() = firstrec
        tone(900,2)
      ELSE
        IF currow > scrltop
          DO BA_lodsp
          currow = currow - 1
          SKIP -1
          DO BA_hidsp
        ELSE
          DO BA_lodsp
          SKIP -1
          scroll(scrltop, scrlleft, scrlbot, scrlright, -1)
          DO BA_hidsp
        ENDIF
      ENDIF

    CASE xkey = down
      IF recno() = lastrec
        tone(900,2)
      ELSE
        IF currow < scrlbot
          DO BA_lodsp
          currow = currow + 1
          SKIP
          DO BA_hidsp
        ELSE
          DO BA_lodsp
          SKIP
          scroll(scrltop, scrlleft, scrlbot, scrlright, 1)
          DO BA_hidsp
        ENDIF
      ENDIF

    CASE xkey = pgdn
      SKIP scrltop - currow + (2*scrlheight) -1
      IF eof()
        tone(900,2)
        SKIP -scrlheight
        DO BA_disp WITH .f.
        DO BA_hidsp
      ELSE
        SKIP 1 -scrlheight
        DO BA_disp WITH .t.
        DO BA_hidsp
      ENDIF

    CASE xkey = pgup
      SKIP scrltop - currow - scrlheight
      IF bof()
        tone(900,2)
        GOTO TOP
        DO BA_disp WITH .t.
        DO BA_hidsp
      ELSE
        DO BA_disp WITH .t.
        DO BA_hidsp
      ENDIF

    CASE xkey = home
      GOTO TOP
      DO BA_disp WITH .t.
      DO BA_hidsp

    CASE xkey = FIN
      GOTO BOTT
      SKIP 1 - scrlheight
      IF bof()
        GOTO TOP
      ENDIF
      DO BA_disp WITH .f.
      DO BA_hidsp

  ENDCASE
ENDDO

restscreen(11,1, 17,25, savebuf1)
SET COLOR TO &locolor
set color to BG+/B
RETURN

PROC BA_hidsp
SET COLOR TO &hicolor
@ currow, 4 SAY CLAVE
@ currow, 10 SAY DESCRIP
RETURN

PROC BA_lodsp
SET COLOR TO &locolor
@ currow, 4 SAY CLAVE
@ currow, 10 SAY DESCRIP
RETURN


PROC BA_disp
PARAM set_to_top

PRIVATE thisrow, toprec

SET COLOR TO &locolor
@ scrltop, scrlleft CLEAR TO scrlbot, scrlright

toprec = recno()
thisrow = scrltop
DO WHILE .not. eof() .and. thisrow <= scrlbot
  @ thisrow, 4 SAY CLAVE
  @ thisrow, 10 SAY DESCRIP
  SKIP
  thisrow = thisrow + 1
ENDDO

IF set_to_top
  GOTO toprec
  currow = scrltop
ELSE
  SKIP -1
  currow = thisrow -1
ENDIF

RETURN
