static function fuera
SET SCOREBOARD off
SET CONFIRM off

PRIVATE up, down, left, right, pgup, pgdn, home, FIN, car_ret
PRIVATE scrltop, scrlleft, scrlbot, scrlright, scrlheight
PRIVATE currow, lastrec, firstrec, saverec, xkey, dbdir, ixdir


up = 5
down = 24
left = 19
right = 4
pgup = 18
pgdn = 3
home = 1
FIN = 6
car_ret = 13

* scroll area coords & dimensions (does not include box border/header)
scrltop = 16
scrlleft = 41
scrlbot = 17
scrlright = 65
scrlheight = scrlbot - scrltop +1
currow = scrltop

*SELECT 0
*USE FUERA

SET CURSOR OFF

firstrec = recno()
GOTO BOTT
lastrec = recno()
GOTO TOP

hicolor = "B/W"
locolor = "+W/BG"

* pop the lookup window
savebuf1 = savescreen(15,40, 18,66)
SET COLOR TO +W/BG
@ 15, 40, 18, 66 BOX "ͻȺ"
@ 15, 44 SAY " 7.4 CONSTRUCCION"
SET COLOR TO +W/BG
@ 16,41,17,65 BOX "         "

* display first window of records, hilite first one
GOTO TOP
DO FU_disp WITH .t.
DO FU_hidsp

xkey = 0

DO WHILE xkey <> 27 .and. xkey <> car_ret

  xkey = inkey(0)
  skey = upper(chr(xkey))

  DO CASE

    CASE (skey >='A' .and. skey <='Z') .or.;
         (skey >='0' .and. skey <='9')
      saverec = recno()
      SEEK skey
      IF .not. eof()
        DO FU_disp WITH .t.
        DO FU_hidsp
      ELSE
        tone(900,2)
        GOTO saverec
      ENDIF

    CASE xkey = up
      IF recno() = firstrec
        tone(900,2)
      ELSE
        IF currow > scrltop
          DO FU_lodsp
          currow = currow - 1
          SKIP -1
          DO FU_hidsp
        ELSE
          DO FU_lodsp
          SKIP -1
          scroll(scrltop, scrlleft, scrlbot, scrlright, -1)
          DO FU_hidsp
        ENDIF
      ENDIF

    CASE xkey = down
      IF recno() = lastrec
        tone(900,2)
      ELSE
        IF currow < scrlbot
          DO FU_lodsp
          currow = currow + 1
          SKIP
          DO FU_hidsp
        ELSE
          DO FU_lodsp
          SKIP
          scroll(scrltop, scrlleft, scrlbot, scrlright, 1)
          DO FU_hidsp
        ENDIF
      ENDIF

    CASE xkey = pgdn
      SKIP scrltop - currow + (2*scrlheight) -1
      IF eof()
        tone(900,2)
        SKIP -scrlheight
        DO FU_disp WITH .f.
        DO FU_hidsp
      ELSE
        SKIP 1 -scrlheight
        DO FU_disp WITH .t.
        DO FU_hidsp
      ENDIF

    CASE xkey = pgup
      SKIP scrltop - currow - scrlheight
      IF bof()
        tone(900,2)
        GOTO TOP
        DO FU_disp WITH .t.
        DO FU_hidsp
      ELSE
        DO FU_disp WITH .t.
        DO FU_hidsp
      ENDIF

    CASE xkey = home
      GOTO TOP
      DO FU_disp WITH .t.
      DO FU_hidsp

    CASE xkey = FIN
      GOTO BOTT
      SKIP 1 - scrlheight
      IF bof()
        GOTO TOP
      ENDIF
      DO FU_disp WITH .f.
      DO FU_hidsp

  ENDCASE
ENDDO

restscreen(15,40, 18,66, savebuf1)
SET COLOR TO &locolor
SET COLOR TO BG+/B
RETURN


PROC FU_hidsp
SET COLOR TO &hicolor
@ currow, 41 SAY CLAVE5
@ currow, 50 SAY DESCRIP5
RETURN

PROC FU_lodsp
SET COLOR TO &locolor
@ currow, 41 SAY CLAVE5
@ currow, 50 SAY DESCRIP5
RETURN


PROC FU_disp
PARAM set_to_top

PRIVATE thisrow, toprec

SET COLOR TO &locolor
@ scrltop, scrlleft CLEAR TO scrlbot, scrlright

toprec = recno()
thisrow = scrltop
DO WHILE .not. eof() .and. thisrow <= scrlbot
  @ thisrow, 41 SAY CLAVE5
  @ thisrow, 50 SAY DESCRIP5
  SKIP
  thisrow = thisrow + 1
ENDDO

IF set_to_top
  GOTO toprec
  currow = scrltop
ELSE
  SKIP -1
  currow = thisrow -1
ENDIF

RETURN
