static function tipo

PRIVATE up, down, left, right, pgup, pgdn, home, FIN, car_ret
PRIVATE scrltop, scrlleft, scrlbot, scrlright, scrlheight
PRIVATE currow, lastrec, firstrec, saverec, xkey, dbdir, ixdir

up = 5
down = 24
left = 19
right = 4
pgup = 18
pgdn = 3
home = 1
FIN = 6
car_ret = 13

* scroll area coords & dimensions (does not include box border/header)
scrltop = 15
scrlleft = 2
scrlbot = 16
scrlright = 30
scrlheight = scrlbot - scrltop +1
currow = scrltop

*SELECT 0
*USE TIPO



SET CURSOR OFF

firstrec = recno()
GOTO BOTT
lastrec = recno()
GOTO TOP

hicolor = "B/W"
locolor = "+W/BG"

* pop the lookup window
savebuf1 = savescreen(14,1, 17,31)
SET COLOR TO +W/BG
@ 14, 1, 17, 31 BOX "ͻȺ "
@ 14, 6 SAY "7.2. TIPO DE ESTACION"
SET COLOR TO +W/BG
@ 15,2,16,30 BOX "        "

* display first window of records, hilite first one
GOTO TOP
DO TI_disp WITH .t.
DO TI_hidsp

xkey = 0

DO WHILE xkey <> 27 .and. xkey <> car_ret

  xkey = inkey(0)
  skey = upper(chr(xkey))

  DO CASE

    CASE (skey >='A' .and. skey <='Z') .or.;
         (skey >='0' .and. skey <='9')
      saverec = recno()
      SEEK skey
      IF .not. eof()
        DO TI_disp WITH .t.
        DO TI_hidsp
      ELSE
        tone(900,2)
        GOTO saverec
      ENDIF

    CASE xkey = up
      IF recno() = firstrec
        tone(900,2)
      ELSE
        IF currow > scrltop
          DO TI_lodsp
          currow = currow - 1
          SKIP -1
          DO TI_hidsp
        ELSE
          DO TI_lodsp
          SKIP -1
          scroll(scrltop, scrlleft, scrlbot, scrlright, -1)
          DO TI_hidsp
        ENDIF
      ENDIF

    CASE xkey = down
      IF recno() = lastrec
        tone(900,2)
      ELSE
        IF currow < scrlbot
          DO TI_lodsp
          currow = currow + 1
          SKIP
          DO TI_hidsp
        ELSE
          DO TI_lodsp
          SKIP
          scroll(scrltop, scrlleft, scrlbot, scrlright, 1)
          DO TI_hidsp
        ENDIF
      ENDIF

    CASE xkey = pgdn
      SKIP scrltop - currow + (2*scrlheight) -1
      IF eof()
        tone(900,2)
        SKIP -scrlheight
        DO TI_disp WITH .f.
        DO TI_hidsp
      ELSE
        SKIP 1 -scrlheight
        DO TI_disp WITH .t.
        DO TI_hidsp
      ENDIF

    CASE xkey = pgup
      SKIP scrltop - currow - scrlheight
      IF bof()
        tone(900,2)
        GOTO TOP
        DO TI_disp WITH .t.
        DO TI_hidsp
      ELSE
        DO TI_disp WITH .t.
        DO TI_hidsp
      ENDIF

    CASE xkey = home
      GOTO TOP
      DO TI_disp WITH .t.
      DO TI_hidsp

    CASE xkey = FIN
      GOTO BOTT
      SKIP 1 - scrlheight
      IF bof()
        GOTO TOP
      ENDIF
      DO TI_disp WITH .f.
      DO TI_hidsp

  ENDCASE
ENDDO

restscreen(14,1, 17,31, savebuf1)
SET COLOR TO &locolor
SET COLOR TO BG+/B
RETURN


PROC TI_hidsp
SET COLOR TO &hicolor
@ currow, 3 SAY CLAVE3
@ currow, 10 SAY DESCRIP3
RETURN

PROC TI_lodsp
SET COLOR TO &locolor
@ currow, 3 SAY CLAVE3
@ currow, 10 SAY DESCRIP3
RETURN

PROC TI_disp
PARAM set_to_top

PRIVATE thisrow, toprec

SET COLOR TO &locolor
@ scrltop, scrlleft CLEAR TO scrlbot, scrlright

toprec = recno()
thisrow = scrltop
DO WHILE .not. eof() .and. thisrow <= scrlbot
  @ thisrow, 3 SAY CLAVE3
  @ thisrow, 10 SAY DESCRIP3
  SKIP
  thisrow = thisrow + 1
ENDDO

IF set_to_top
  GOTO toprec
  currow = scrltop
ELSE
  SKIP -1
  currow = thisrow -1
ENDIF

RETURN
